Loading...
Searching...
No Matches
BALL::SASTriangulator Class Reference
Molecular Modeling » Molecular Structure » Molecular Surface Computation

`#include <BALL/STRUCTURE/triangulatedSAS.h>`

## Public Member Functions

Constructors and Destructors
| SASTriangulator ()
| SASTriangulator (TriangulatedSAS *tsas)
virtual | ~SASTriangulator ()

## Protected Attributes

Attributes
TriangulatedSAS * | tsas_
double | sqrt_density_
std::vector< std::list< TVector3< double > > > | edge_
HashMap< Size, TriangulatedSurface > | template_spheres_

## Accessors

void | run ()

## Detailed Description

Generic SASTriangulator Class.

Definition at line 160 of file triangulatedSAS.h.

## Constructor & Destructor Documentation

## SASTriangulator() [1/2]

BALL::SASTriangulator::SASTriangulator | ( |  | ) |

Default constructor. This method creates a new SASTriangulator object.

## SASTriangulator() [2/2]

BALL::SASTriangulator::SASTriangulator | ( | TriangulatedSAS * | tsas | ) |

Detailed constructor. Create a new empty SASTriangulator object and set its SAS.

Parameters

  tsas | a pointer to the corresponding SAS

## ~SASTriangulator()

virtual BALL::SASTriangulator::~SASTriangulator | ( |  | ) |

virtual

Destructor. Destructs the SASTriangulator object.

## Member Function Documentation

## run()

void BALL::SASTriangulator::run | ( |  | ) |

## Member Data Documentation

## edge_

std::vector< std::list< TVector3<double> > > BALL::SASTriangulator::edge_

protected

Definition at line 244 of file triangulatedSAS.h.

## sqrt_density_

double BALL::SASTriangulator::sqrt_density_

protected

Definition at line 242 of file triangulatedSAS.h.

## template_spheres_

HashMap<Size,TriangulatedSurface> BALL::SASTriangulator::template_spheres_

protected

Definition at line 246 of file triangulatedSAS.h.

## tsas_

TriangulatedSAS* BALL::SASTriangulator::tsas_

protected

Definition at line 240 of file triangulatedSAS.h.